<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.simple</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        Module&nbsp;simple
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.jabber.simple-module.html">Module pyxmpp.jabber.simple</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2005-2010 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"><tt class="py-comment"># pylint: disable-msg=W0232, E0201</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"><tt class="py-docstring">"""Simple API for simple things like sendig messages or single stanzas."""</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt><tt class="py-op">=</tt><tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"> </tt>
<a name="xmpp_do"></a><div id="xmpp_do-def"><a name="L23"></a><tt class="py-lineno">23</tt> <a class="py-toggle" href="#" id="xmpp_do-toggle" onclick="return toggle('xmpp_do');">-</a><tt class="py-line"><tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.jabber.simple-module.html#xmpp_do">xmpp_do</a><tt class="py-op">(</tt><tt class="py-param">jid</tt><tt class="py-op">,</tt><tt class="py-param">password</tt><tt class="py-op">,</tt><tt class="py-param">function</tt><tt class="py-op">,</tt><tt class="py-param">server</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">,</tt><tt class="py-param">port</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="xmpp_do-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="xmpp_do-expanded"><a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line">    <tt class="py-docstring">"""Connect as client to a Jabber/XMPP server and call the provided</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line"><tt class="py-docstring">    function when stream is ready for IM. The function will be called</tt> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"><tt class="py-docstring">    with one argument -- the XMPP stream. After function returns the stream is</tt> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line"><tt class="py-docstring">    closed."""</tt> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line">    <tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-0', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-1" class="py-name" targets="Package pyxmpp.jabber=pyxmpp.jabber-module.html"><a title="pyxmpp.jabber" class="py-name" href="#" onclick="return doclink('link-1', 'jabber', 'link-1');">jabber</a></tt><tt class="py-op">.</tt><tt id="link-2" class="py-name" targets="Module pyxmpp.client=pyxmpp.client-module.html,Module pyxmpp.jabber.client=pyxmpp.jabber.client-module.html"><a title="pyxmpp.client
pyxmpp.jabber.client" class="py-name" href="#" onclick="return doclink('link-2', 'client', 'link-2');">client</a></tt> <tt class="py-keyword">import</tt> <tt id="link-3" class="py-name" targets="Class pyxmpp.jabber.client.JabberClient=pyxmpp.jabber.client.JabberClient-class.html"><a title="pyxmpp.jabber.client.JabberClient" class="py-name" href="#" onclick="return doclink('link-3', 'JabberClient', 'link-3');">JabberClient</a></tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line">    <tt class="py-keyword">class</tt> <tt class="py-def-name">Client</tt><tt class="py-op">(</tt><tt class="py-base-class">JabberClient</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line">        <tt class="py-docstring">"""The simplest client implementation."""</tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line">        <tt class="py-keyword">def</tt> <tt class="py-def-name">session_started</tt><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line">            <tt class="py-docstring">"""Call the function provided when the session starts and exit."""</tt> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line">            <tt class="py-name">function</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-4" class="py-name" targets="Variable pyxmpp.jabber.disco.DiscoCacheFetcherBase.stream=pyxmpp.jabber.disco.DiscoCacheFetcherBase-class.html#stream,Module pyxmpp.stream=pyxmpp.stream-module.html"><a title="pyxmpp.jabber.disco.DiscoCacheFetcherBase.stream
pyxmpp.stream" class="py-name" href="#" onclick="return doclink('link-4', 'stream', 'link-4');">stream</a></tt><tt class="py-op">)</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line">            <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-5" class="py-name" targets="Method pyxmpp.client.Client.disconnect()=pyxmpp.client.Client-class.html#disconnect,Method pyxmpp.jabberd.component.Component.disconnect()=pyxmpp.jabberd.component.Component-class.html#disconnect,Method pyxmpp.streambase.StreamBase.disconnect()=pyxmpp.streambase.StreamBase-class.html#disconnect"><a title="pyxmpp.client.Client.disconnect
pyxmpp.jabberd.component.Component.disconnect
pyxmpp.streambase.StreamBase.disconnect" class="py-name" href="#" onclick="return doclink('link-5', 'disconnect', 'link-5');">disconnect</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line">    <tt class="py-name">c</tt><tt class="py-op">=</tt><tt id="link-6" class="py-name" targets="Class pyxmpp.client.Client=pyxmpp.client.Client-class.html"><a title="pyxmpp.client.Client" class="py-name" href="#" onclick="return doclink('link-6', 'Client', 'link-6');">Client</a></tt><tt class="py-op">(</tt><tt id="link-7" class="py-name" targets="Variable pyxmpp.jabber.disco.DiscoItem.jid=pyxmpp.jabber.disco.DiscoItem-class.html#jid,Module pyxmpp.jid=pyxmpp.jid-module.html"><a title="pyxmpp.jabber.disco.DiscoItem.jid
pyxmpp.jid" class="py-name" href="#" onclick="return doclink('link-7', 'jid', 'link-7');">jid</a></tt><tt class="py-op">,</tt><tt class="py-name">password</tt><tt class="py-op">,</tt><tt class="py-name">server</tt><tt class="py-op">=</tt><tt class="py-name">server</tt><tt class="py-op">,</tt><tt class="py-name">port</tt><tt class="py-op">=</tt><tt class="py-name">port</tt><tt class="py-op">)</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line">    <tt class="py-name">c</tt><tt class="py-op">.</tt><tt id="link-8" class="py-name" targets="Method pyxmpp.client.Client.connect()=pyxmpp.client.Client-class.html#connect,Method pyxmpp.clientstream.ClientStream.connect()=pyxmpp.clientstream.ClientStream-class.html#connect,Method pyxmpp.jabber.client.JabberClient.connect()=pyxmpp.jabber.client.JabberClient-class.html#connect,Method pyxmpp.jabberd.component.Component.connect()=pyxmpp.jabberd.component.Component-class.html#connect,Method pyxmpp.jabberd.componentstream.ComponentStream.connect()=pyxmpp.jabberd.componentstream.ComponentStream-class.html#connect,Method pyxmpp.streambase.StreamBase.connect()=pyxmpp.streambase.StreamBase-class.html#connect"><a title="pyxmpp.client.Client.connect
pyxmpp.clientstream.ClientStream.connect
pyxmpp.jabber.client.JabberClient.connect
pyxmpp.jabberd.component.Component.connect
pyxmpp.jabberd.componentstream.ComponentStream.connect
pyxmpp.streambase.StreamBase.connect" class="py-name" href="#" onclick="return doclink('link-8', 'connect', 'link-8');">connect</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line">    <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">        <tt class="py-name">c</tt><tt class="py-op">.</tt><tt id="link-9" class="py-name" targets="Method pyxmpp.client.Client.loop()=pyxmpp.client.Client-class.html#loop,Method pyxmpp.jabberd.component.Component.loop()=pyxmpp.jabberd.component.Component-class.html#loop,Method pyxmpp.streambase.StreamBase.loop()=pyxmpp.streambase.StreamBase-class.html#loop"><a title="pyxmpp.client.Client.loop
pyxmpp.jabberd.component.Component.loop
pyxmpp.streambase.StreamBase.loop" class="py-name" href="#" onclick="return doclink('link-9', 'loop', 'link-9');">loop</a></tt><tt class="py-op">(</tt><tt class="py-number">1</tt><tt class="py-op">)</tt> </tt>
<a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line">    <tt class="py-keyword">except</tt> <tt class="py-name">KeyboardInterrupt</tt><tt class="py-op">:</tt> </tt>
<a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line">        <tt class="py-keyword">print</tt> <tt class="py-string">u"disconnecting..."</tt> </tt>
<a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line">        <tt class="py-name">c</tt><tt class="py-op">.</tt><tt id="link-10" class="py-name"><a title="pyxmpp.client.Client.disconnect
pyxmpp.jabberd.component.Component.disconnect
pyxmpp.streambase.StreamBase.disconnect" class="py-name" href="#" onclick="return doclink('link-10', 'disconnect', 'link-5');">disconnect</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L42"></a><tt class="py-lineno">42</tt>  <tt class="py-line"> </tt>
<a name="send_message"></a><div id="send_message-def"><a name="L43"></a><tt class="py-lineno">43</tt> <a class="py-toggle" href="#" id="send_message-toggle" onclick="return toggle('send_message');">-</a><tt class="py-line"><tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.jabber.simple-module.html#send_message">send_message</a><tt class="py-op">(</tt><tt class="py-param">my_jid</tt><tt class="py-op">,</tt> <tt class="py-param">my_password</tt><tt class="py-op">,</tt> <tt class="py-param">to_jid</tt><tt class="py-op">,</tt> <tt class="py-param">body</tt><tt class="py-op">,</tt> <tt class="py-param">subject</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> </tt>
<a name="L44"></a><tt class="py-lineno">44</tt>  <tt class="py-line">        <tt class="py-param">message_type</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-param">server</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">,</tt> <tt class="py-param">port</tt><tt class="py-op">=</tt><tt class="py-name">None</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="send_message-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="send_message-expanded"><a name="L45"></a><tt class="py-lineno">45</tt>  <tt class="py-line">    <tt class="py-docstring">"""Star an XMPP session and send a message, then exit.</tt> </tt>
<a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L47"></a><tt class="py-lineno">47</tt>  <tt class="py-line"><tt class="py-docstring">    :Parameters:</tt> </tt>
<a name="L48"></a><tt class="py-lineno">48</tt>  <tt class="py-line"><tt class="py-docstring">        - `my_jid`: sender JID.</tt> </tt>
<a name="L49"></a><tt class="py-lineno">49</tt>  <tt class="py-line"><tt class="py-docstring">        - `my_password`: sender password.</tt> </tt>
<a name="L50"></a><tt class="py-lineno">50</tt>  <tt class="py-line"><tt class="py-docstring">        - `to_jid`: recipient JID.</tt> </tt>
<a name="L51"></a><tt class="py-lineno">51</tt>  <tt class="py-line"><tt class="py-docstring">        - `body`: message body.</tt> </tt>
<a name="L52"></a><tt class="py-lineno">52</tt>  <tt class="py-line"><tt class="py-docstring">        - `subject`: message subject.</tt> </tt>
<a name="L53"></a><tt class="py-lineno">53</tt>  <tt class="py-line"><tt class="py-docstring">        - `message_type`: message type.</tt> </tt>
<a name="L54"></a><tt class="py-lineno">54</tt>  <tt class="py-line"><tt class="py-docstring">        - `server`: server to connect to (default: derivied from `my_jid` using</tt> </tt>
<a name="L55"></a><tt class="py-lineno">55</tt>  <tt class="py-line"><tt class="py-docstring">          DNS records).</tt> </tt>
<a name="L56"></a><tt class="py-lineno">56</tt>  <tt class="py-line"><tt class="py-docstring">        - `port`: TCP port number to connect to (default: retrieved using SRV</tt> </tt>
<a name="L57"></a><tt class="py-lineno">57</tt>  <tt class="py-line"><tt class="py-docstring">          DNS record, or 5222).</tt> </tt>
<a name="L58"></a><tt class="py-lineno">58</tt>  <tt class="py-line"><tt class="py-docstring">    :Types:</tt> </tt>
<a name="L59"></a><tt class="py-lineno">59</tt>  <tt class="py-line"><tt class="py-docstring">        - `my_jid`: `pyxmpp.jid.JID`</tt> </tt>
<a name="L60"></a><tt class="py-lineno">60</tt>  <tt class="py-line"><tt class="py-docstring">        - `my_password`: `unicode`</tt> </tt>
<a name="L61"></a><tt class="py-lineno">61</tt>  <tt class="py-line"><tt class="py-docstring">        - `to_jid`: `pyxmpp.jid.JID`</tt> </tt>
<a name="L62"></a><tt class="py-lineno">62</tt>  <tt class="py-line"><tt class="py-docstring">        - `body`: `unicode`</tt> </tt>
<a name="L63"></a><tt class="py-lineno">63</tt>  <tt class="py-line"><tt class="py-docstring">        - `subject`: `unicode`</tt> </tt>
<a name="L64"></a><tt class="py-lineno">64</tt>  <tt class="py-line"><tt class="py-docstring">        - `message_type`: `str`</tt> </tt>
<a name="L65"></a><tt class="py-lineno">65</tt>  <tt class="py-line"><tt class="py-docstring">        - `server`: `unicode` or `str`</tt> </tt>
<a name="L66"></a><tt class="py-lineno">66</tt>  <tt class="py-line"><tt class="py-docstring">        - `port`: `int`</tt> </tt>
<a name="L67"></a><tt class="py-lineno">67</tt>  <tt class="py-line"><tt class="py-docstring">    """</tt> </tt>
<a name="L68"></a><tt class="py-lineno">68</tt>  <tt class="py-line">    <tt class="py-keyword">from</tt> <tt id="link-11" class="py-name"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-11', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-12" class="py-name" targets="Variable pyxmpp.exceptions.ProtocolError.message=pyxmpp.exceptions.ProtocolError-class.html#message,Module pyxmpp.message=pyxmpp.message-module.html"><a title="pyxmpp.exceptions.ProtocolError.message
pyxmpp.message" class="py-name" href="#" onclick="return doclink('link-12', 'message', 'link-12');">message</a></tt> <tt class="py-keyword">import</tt> <tt id="link-13" class="py-name" targets="Class pyxmpp.message.Message=pyxmpp.message.Message-class.html"><a title="pyxmpp.message.Message" class="py-name" href="#" onclick="return doclink('link-13', 'Message', 'link-13');">Message</a></tt> </tt>
<a name="L69"></a><tt class="py-lineno">69</tt>  <tt class="py-line">    <tt class="py-name">msg</tt><tt class="py-op">=</tt><tt id="link-14" class="py-name"><a title="pyxmpp.message.Message" class="py-name" href="#" onclick="return doclink('link-14', 'Message', 'link-13');">Message</a></tt><tt class="py-op">(</tt><tt class="py-name">to_jid</tt><tt class="py-op">=</tt><tt class="py-name">to_jid</tt><tt class="py-op">,</tt><tt class="py-name">body</tt><tt class="py-op">=</tt><tt class="py-name">body</tt><tt class="py-op">,</tt><tt class="py-name">subject</tt><tt class="py-op">=</tt><tt class="py-name">subject</tt><tt class="py-op">,</tt><tt id="link-15" class="py-name" targets="Variable pyxmpp.iq.Iq.stanza_type=pyxmpp.iq.Iq-class.html#stanza_type,Variable pyxmpp.message.Message.stanza_type=pyxmpp.message.Message-class.html#stanza_type,Variable pyxmpp.presence.Presence.stanza_type=pyxmpp.presence.Presence-class.html#stanza_type,Variable pyxmpp.stanza.Stanza.stanza_type=pyxmpp.stanza.Stanza-class.html#stanza_type"><a title="pyxmpp.iq.Iq.stanza_type
pyxmpp.message.Message.stanza_type
pyxmpp.presence.Presence.stanza_type
pyxmpp.stanza.Stanza.stanza_type" class="py-name" href="#" onclick="return doclink('link-15', 'stanza_type', 'link-15');">stanza_type</a></tt><tt class="py-op">=</tt><tt class="py-name">message_type</tt><tt class="py-op">)</tt> </tt>
<a name="L70"></a><tt class="py-lineno">70</tt>  <tt class="py-line">    <tt class="py-keyword">def</tt> <tt class="py-def-name">fun</tt><tt class="py-op">(</tt><tt class="py-param">stream</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
<a name="L71"></a><tt class="py-lineno">71</tt>  <tt class="py-line">        <tt class="py-docstring">"""Send a mesage `msg` via a stream."""</tt> </tt>
<a name="L72"></a><tt class="py-lineno">72</tt>  <tt class="py-line">        <tt id="link-16" class="py-name"><a title="pyxmpp.jabber.disco.DiscoCacheFetcherBase.stream
pyxmpp.stream" class="py-name" href="#" onclick="return doclink('link-16', 'stream', 'link-4');">stream</a></tt><tt class="py-op">.</tt><tt id="link-17" class="py-name" targets="Method pyxmpp.stanzaprocessor.StanzaProcessor.send()=pyxmpp.stanzaprocessor.StanzaProcessor-class.html#send,Method pyxmpp.streambase.StreamBase.send()=pyxmpp.streambase.StreamBase-class.html#send"><a title="pyxmpp.stanzaprocessor.StanzaProcessor.send
pyxmpp.streambase.StreamBase.send" class="py-name" href="#" onclick="return doclink('link-17', 'send', 'link-17');">send</a></tt><tt class="py-op">(</tt><tt class="py-name">msg</tt><tt class="py-op">)</tt> </tt>
</div><a name="L73"></a><tt class="py-lineno">73</tt>  <tt class="py-line">    <tt id="link-18" class="py-name" targets="Function pyxmpp.jabber.simple.xmpp_do()=pyxmpp.jabber.simple-module.html#xmpp_do"><a title="pyxmpp.jabber.simple.xmpp_do" class="py-name" href="#" onclick="return doclink('link-18', 'xmpp_do', 'link-18');">xmpp_do</a></tt><tt class="py-op">(</tt><tt class="py-name">my_jid</tt><tt class="py-op">,</tt><tt class="py-name">my_password</tt><tt class="py-op">,</tt><tt class="py-name">fun</tt><tt class="py-op">,</tt><tt class="py-name">server</tt><tt class="py-op">,</tt><tt class="py-name">port</tt><tt class="py-op">)</tt> </tt>
</div><a name="L74"></a><tt class="py-lineno">74</tt>  <tt class="py-line"> </tt>
<a name="L75"></a><tt class="py-lineno">75</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L76"></a><tt class="py-lineno">76</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:10 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
